<?php
include('../includes/validador.php');
include('../conexiones/conex.php');

$proceso = $_POST['proceso'];

$nombre    = trim($_POST['nom_pers']);
$apellido  = trim($_POST['apellido_pers']);
$dir       = trim($_POST['dir_pers']);
$coment    = trim($_POST['coment_direccion']);
$ciudad    = trim($_POST['ciudad_pers']);
$barrio    = trim($_POST['barrio']);
$sexo      = trim($_POST['sx_pers']);

// Quitar espacios internos
$tel       = str_replace(' ', '', trim($_POST['telefono']));
$doc       = str_replace(' ', '', trim($_POST['documento']));

//VERIFICAMOS EL PROCESO

switch($proceso){
	case 'Registro':
        try {
            $con->autocommit(FALSE);
            $query="INSERT INTO persona (Nombre, Apellido, Direccion, comentarioDireccion, Barrio, Ciudad_id, Sexo, NroTelefono, NroDocumento)VALUES('$nombre', '$apellido', '$dir', '$coment', '$barrio', '$ciudad', '$sexo', '$tel', '$doc')";
            $con->query($query) or throw_ex(mysqli_error($con)); //si re registró bien

            $con->commit();
            echo 1;
            $con->close();
        } catch (Exception $e) {  
            $con->rollback();
            $con->close(); 
            echo 2;
        }
	break;
	
	case 'Edicion':
        $id = $_POST['idpers'];
        try {
            $con->autocommit(FALSE);
            $query="UPDATE persona SET Nombre = '$nombre', Apellido = '$apellido', Direccion = '$dir', comentarioDireccion = '$coment', Barrio = '$barrio', Ciudad_id  = '$ciudad', Sexo = '$sexo', NroTelefono = '$tel', NroDocumento = '$doc' WHERE Persona_id = '$id'";
            $con->query($query) or throw_ex(mysqli_error($con)); //si re registró bien
            
            $con->commit();
            echo 1;
            $con->close();
        } catch (Exception $e) {  
            $con->rollback();
            echo 2;
            $con->close(); 
        }   
	break;
}

?>